<!DOCTYPE html>
<html>
<head>        
	<link href="styles/kendo.common.min.css" rel="stylesheet" />
	<link href="styles/kendo.rtl.min.css" rel="stylesheet">			
	<link href="styles/kendo.blueopal.min.css" rel="stylesheet" />
	<link href="styles/kendo.dataviz.min.css" rel="stylesheet"  />
   	<link href="styles/kendo.dataviz.blueopal.min.css" rel="stylesheet" />			
	<script src="js/jquery.min.js"></script>
	<script src="js/kendo.all.min.js"></script>
	<script src="js/angular.min.js"></script>	
	<%@taglib prefix="kendo" uri="http://www.kendoui.com/jsp/tags"%>	
	<%@taglib prefix="form" uri="http://www.springframework.org/tags/form" %>	
</head>
<body> 
<div id="main" class="k-content">
	<h1><u><center>Welcome</center></u></h1>
	<h3><u><center>Listing Candidate Details (Binding to Local data)</center></u></h3>
</div>
<form:form action="retrieveDetailsListLocalBinding.html" modelAttribute="data" method="POST">
<kendo:grid name="grid" dataBound="gridDataBound">
<kendo:grid-editable mode="inline" confirmation="Are you sure you want to remove this item?"/>
<kendo:grid-pageable pageSizes="true" buttonCount="5" /> 
		<kendo:grid-columns>
			<kendo:grid-column title="Row Number" field="rowNum" width= "100px" headerAttributes="style=\"overflow: visible; white-space: normal;font-weight: bold;text-align: center;\"" />					
			<kendo:grid-column title="Work Request Seq" field="wrkRqstSeq" width="130px" headerAttributes="style=\"overflow: visible; white-space: normal;font-weight: bold;text-align: center;\""/>
			<kendo:grid-column title="Test Package Id" field="tstPkgId" width="230px" headerAttributes="style=\"overflow: visible; white-space: normal;font-weight: bold;text-align: center;\"" />
			<kendo:grid-column title="Work Request Status" field="wrkRqstStsTypCde" width="150px" 
			headerAttributes="style=\"overflow: visible; white-space: normal;font-weight: bold;text-align: center;\"" 
			editor="statusDropDownEditor" />
			<kendo:grid-column title="Work Request Type" field="wrkRqstTypCde" width="130px" headerAttributes="style=\"overflow: visible; white-space: normal;font-weight: bold;text-align: center;\"" />
			<kendo:grid-column title="Orgn Type Code" field="candRsltOrgnTypCde" width="130px" headerAttributes="style=\"overflow: visible; white-space: normal;font-weight: bold;text-align: center;\"" />			
			<kendo:grid-column title="Appointment No" field="apptNo" width="150px" headerAttributes="style=\"overflow: visible; white-space: normal;font-weight: bold;text-align: center;\"" />
			<kendo:grid-column title="Work Request Status Message" field="wrkRqstStsMsgTxt" width="350px" headerAttributes="style=\"overflow: visible; white-space: normal;font-weight: bold;text-align: center;\"" />
			<kendo:grid-column title="&nbsp;" width="180px">
            	<kendo:grid-column-command>
            		<kendo:grid-column-commandItem name="edit" />
            		<kendo:grid-column-commandItem name="destroy" />
            	</kendo:grid-column-command>
            </kendo:grid-column>			
		</kendo:grid-columns>
		<kendo:dataSource data="${databaseList}" pageSize="20">							
			<kendo:dataSource-schema>	
				<kendo:dataSource-schema-model id="wrkRqstSeq">
					<kendo:dataSource-schema-model-fields>
						<kendo:dataSource-schema-model-field name="rowNum" type="string" editable="false" />						
						<kendo:dataSource-schema-model-field name="wrkRqstSeq" type="string" editable="false" />
						<kendo:dataSource-schema-model-field name="tstPkgId" type="string" editable="false" />
						<kendo:dataSource-schema-model-field name="wrkRqstStsTypCde" type="string" />
						<kendo:dataSource-schema-model-field name="wrkRqstTypCde" type="string" editable="false" />
						<kendo:dataSource-schema-model-field name="candRsltOrgnTypCde" type="string" editable="false" />
						<kendo:dataSource-schema-model-field name="apptNo" type="string" editable="false" />
						<kendo:dataSource-schema-model-field name="wrkRqstStsMsgTxt" type="string" editable="false" />								
					</kendo:dataSource-schema-model-fields>
				</kendo:dataSource-schema-model>
			</kendo:dataSource-schema>			
		</kendo:dataSource>
</kendo:grid>
<div id="menu" class="confirm">			
		<a href="../SKM_CSM/retrieveDetails.html" class="k-button k-primary" style="margin-left: 5px">Back</a>			
</div>
</form:form>
<style>
.confirm {
	padding-top: 12px;
}

.menu {
	padding-left: 25px;
}
</style>
<script type="text/javascript">
	
	function gridDataBound(arg) {
		//Get the number of Columns in the grid
		var colCount = $("#grid").find('.k-grid-header colgroup > col').length;
		
		//If There are no results place an indicator row
        if ($("#grid").data("kendoGrid").dataSource._view.length == 0) {
            $("#grid").find('.k-grid-content tbody')
                .append('<tr class="kendo-data-row"><td colspan="' +
                    colCount +
                    '" style="text-align:center; padding-top:10px;background-color:#AFE4FA"><b>No Results Found!</b></td></tr>');

        }
    }	
	
	function statusDropDownEditor(container, options) {
		$('<input id="wrkRqstStsTypCde" name="wrkRqstStsTypCde">')
		.appendTo(container)
		.kendoDropDownList({             				
			dataSource: ["READY", "COMPL", "HOLD"],
	    	value: "READY"
        }).appendTo(container);
	}	
</script>
</body>
</html>